CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [opzioni] [percorso cartella della biblioteca...]

Avvia il server dei contenuti di calibre. Il server dei contenuti di calibre rende visibili le tue biblioteche di calibre su internet. Puoi specificare il percorso delle cartelle della biblioteca come argomenti di calibre-server. Se non specifichi alcun percorso, verranno usate tutte le biblioteche che il programma principale di calibre conosce.

Ogni qualvolta vengono passati argomenti con degli spazi a calibre-server, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

[OPZIONI]

--access-log
    Percorso del file di registro degli accessi. Questo registro contiene informazioni sui client che si connettono al server e sulle loro richieste. Per impostazione predefinita non viene tenuto alcun registro degli accessi.

--ajax-timeout
    Tempo (in secondi) di attesa di risposta dal server dopo una richiesta.

--auth-mode
    Scegli il tipo di autenticazione adoperato. Imposta la modalità di autenticazione HTTP usata dal server. Imposta su "basic" se terrai questo server dietro un proxy SSL. Altrimenti lascia su "auto", che utilizzerà "basic" se SSL è configurato e "digest" altrimenti.

--auto-reload
    Ricarica automaticamente il server quando il codice sorgente è cambiato. Utile per lo sviluppo. Occorre anche specificare un valore piccolo per il timeout di spegnimento.

--ban-after
    Numero di login falliti necessari per il ban. Il numero di login falliti dopo i quali un indirizzo IP viene bloccato

--ban-for
    Blocca gli indirizzi IP che hanno sbagliato più volte l'accesso. Blocca temporaneamente l'accesso agli indirizzi IP che hanno fallito ripetutamente il login per il numero di minuti specificato. Utile per prevenire tentativi di indovinare la password. Se impostato su zero non viene eseguito alcun ban.

--book-list-mode
    Scegli la modalità predefinita per l'elenco dei libri. Imposta la modalità predefinita per l'elenco dei libri che sarà usata per i nuovi utenti. I singoli utenti possono cambiare l'impostazione predefinita nelle loro impostazioni personali. Come impostazione predefinita è usata la griglia delle copertine.

--compress-min-size
    Dimensione minima per la quale le risposte utilizzano la compressione dei dati (in byte).

--custom-list-template
    Percorso di un file JSON contenente un modello per la modalità di elenco personalizzato dei libri. Il modo più semplice per creare un modello del genere è andare in Preferenze-> Condivisione via rete-> Modello elenco dei libri in calibre, creare il modello ed esportarlo.

--daemonize
    Esegui processo in backgroud come daemon (solo Linux).

--displayed-fields
    Limita i campi definiti dall'utente mostrati. Lista separata da virgole di campi di metadati definiti dall'utente che saranno mostrati dal server dei contenuti nelle interfacce /opds e /mobile. Se questa opzione è specificata, ogni campo assente da questa lista non sarà mostrato. Per esempio: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Preallocazione socket, per esempio, attraverso l'attivazione socket di systemd. Per impostazione predefinita, questa opzione è abilitata.

--enable-auth, --disable-auth
    Autenticazione con password per accedere a questo server. Normalmente il server è privo di restrizioni e permette a tutti di accedervi. Con questa opzione puoi limitare l'accesso a utenti preimpostati. Per impostazione predefinita, questa opzione è disabilitata.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Ripiega su interfaccia rilevata automaticamente. Se per qualche ragione il server non è in grado di collegarsi all'interfaccia specificata nell'opzione listen_on, proverà a rilevare un'interfaccia che si connette al mondo esterno e a collegarsi ad essa. Per impostazione predefinita, questa opzione è abilitata.

--enable-local-write, --disable-local-write
    Consenti alle connessioni locali non autenticate di apportare modifiche. Di norma, se non abiliti l'autenticazione, il server opera in modalità di sola lettura, in modo da non permettere ad utenti anonimi di effettuare cambiamenti alle tue biblioteche di calibre. Questa opzione permette a tutti coloro che si connettono dallo stesso computer in cui si trova il server di effettuare modifiche. Utile se vuoi far operare il server senza autenticazione ma vuoi anche usare calibredb per effettuare cambiamenti alle tue biblioteche di calibre. Tieni presente che abilitando questa opzione tutti i programmi in esecuzione sul computer possono effettuare modifiche alle tue biblioteche di calibre. Per impostazione predefinita, questa opzione è disabilitata.

--enable-log-not-found, --disable-log-not-found
    Registra le richieste HTTP 404 (Non Trovato). Di norma, il server registra tutte le richieste HTTP dirette a risorse non trovate. Questo può generare una quantità esagerata di avvisi se il tuo server è preso di mira da bot. Usa questa opzione per disattivarli. Per impostazione predefinita, questa opzione è abilitata.

--enable-use-bonjour, --disable-use-bonjour
    Pubblicizza i feed OPDS con BonJour. Pubblicizza il feed OPDS attraverso il servizio BonJour, così da permettere alle app di lettura basate su OPDS di rilevare e di connettersi al server automaticamente. Per impostazione predefinita, questa opzione è abilitata.

--enable-use-sendfile, --disable-use-sendfile
    Trasferimenti di file in zero copy per prestazioni migliorate. Questa opzione abilita i trasferimenti di file in zero copy nel kernel per inviare file via rete, migliorando le prestazioni. Questo, tuttavia, può essere causa di trasferimenti di file corrotti in alcuni file system malfunzionanti. Se avvengono trasferimenti corrotti, disattiva questa opzione. Per impostazione predefinita, questa opzione è abilitata.

--help, -h
    mostra questo messaggio di aiuto ed esci

--ignored-fields
    Campi di metadati dell'utente da ignorare. Lista separata da virgole di campi di metadati definiti dall'utente che non saranno mostrati dal server dei contenuti nelle interfacce /opds e /mobile. Per esempio: my_rating,my_tags

--listen-on
    L'interfaccia su cui ascoltare in attesa di connessioni. L'impostazione predefinita è di ascoltare su tutte le interfacce IPv4 disponibili. Puoi cambiare questa opzione in, per esempio, "127.0.0.1" per ascoltare solo per connessioni dalla macchina locale, o in "::" per ascoltare tutte le connessioni IPv6 e IPv4 in ingresso.

--log
    Percorso del file di registro del server. Questo registro contiene informazioni ed errori del server, non i registri di accesso. Per impostazione predefinita viene scritto in stdout.

--manage-users
    Gestisci il database degli utenti abilitati a collegarsi a questo server. Puoi usarlo in modalità automatica aggiungendo un --. Vedi calibre-server --manage-users -- help per dettagli. Vedi anche l'opzione --userdb.

--max-header-line-size
    Dimensione massima del singolo header HTTP (in KB).

--max-job-time
    Tempo massimo dei processi di lavoro. Tempo massimo di esecuzione per i processi di lavoro (in minuti). Imposta a 0 per non dare limiti.

--max-jobs
    Numero massimo di processi di lavoro. I processi di lavoro vengono avviati in base alle necessità e utilizzati per lavori di grandi dimensioni come la preparazione di un libro per la visualizzazione, l'aggiunta di libri, la conversione, ecc. Normalmente, il numero massimo di tali processi si basa sul numero di core della CPU. È possibile controllarlo con questa impostazione.

--max-log-size
    Dimensione massima file di log (in MB). La massima dimensione dei registri (log) generati dal server. Quando un file di registro supera questa dimensione, è automaticamente ruotato. Imposta a zero per disattivare la rotazione dei registri.

--max-opds-items
    Numero massimo di libri nei feed OPDS. Il massimo numero di libri che restituirà il server in un singolo feed di acquisizione OPDS.

--max-opds-ungrouped-items
    Numero massimo di elementi non raggruppati nei feed OPDS. Raggruppa gli elementi in categorie come autore/tag in base alla prima lettera quando il numero di elementi è maggiore di questo numero. Imposta a zero per disattivare.

--max-request-body-size
    Dimensione massima consentita per file caricati sul server (in MB).

--num-per-page
    Numero di libri da mostrare in una pagina singola. Il numero di libri da mostrare un una singola pagina del browser.

--pidfile
    Scrivi il PID di processo nel file specificato

--port
    La porta di ascolto per la connessione.

--search-the-net-urls
    Percorso di un file JSON contenente degli URL per la funzione "Cerca in internet". Il modo più semplice per creare un file del genere è andare in Preferenze-> Condivisione via rete-> Cerca in internet in calibre, creare gli URL ed esportarli.

--shutdown-timeout
    Tempo totale in secondi da aspettare per un arresto pulito.

--ssl-certfile
    Percorso del file del certificato SSL.

--ssl-keyfile
    Percorso del file della chiave privata SSL.

--timeout
    Tempo (in secondi) dopo il quale una connessione inattiva viene chiusa.

--trusted-ips
    Consenti a connessioni non autenticate da indirizzi IP specifici di apportare modifiche. Di norma, se non abiliti l'autenticazione, il server opera in modalità di sola lettura, in modo da non permettere ad utenti anonimi di effettuare cambiamenti alle tue biblioteche di calibre. Questa opzione permette a tutti coloro che si connettono dall'indirizzo IP specificato di effettuare modifiche. Deve essere un elenco separato da virgole di reti o di indirizzi specifici. Utile se vuoi far operare il server senza autenticazione ma vuoi anche usare calibredb per effettuare cambiamenti alle tue biblioteche di calibre. Tieni presente che abilitando questa opzione tutti coloro che si connettono dagli indirizzi IP specificati possono effettuare modifiche alle tue biblioteche di calibre.

--url-prefix
    Un prefisso da anteporre a tutti gli URL. Utile se desideri far operare questo server dietro un proxy inverso. Per esempio, usa /calibre come prefisso dell'URL.

--userdb
    Percorso del database degli utenti da usare per l'autenticazione. Il database è un file SQL. Per crearlo usa --manage-users. Puoi saperne di più sulla gestione degli utenti qui: https://manual.calibre-ebook.com/it/server.html#managing-user-accounts-from-the-command-line-only

--version
    mostra la versione del programma ed esci

--worker-count
    Numero di thread di lavoro utilizzati per elaborare le richieste.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal